org.restlet.engine.util

## Class CookieSeries

- java.lang.Object
- - org.restlet.util.WrapperList<E>
  - - org.restlet.util.Series<Cookie>
    - - org.restlet.engine.util.CookieSeries

All Implemented Interfaces:
  java.lang.Iterable<Cookie>, java.util.Collection<Cookie>, java.util.List<Cookie>

    public class CookieSeries
    extends Series<Cookie>

Cookie series used internally by the `Request` class.

Author:
  Jerome Louvel

### Field Summary

### Fields inherited from class org.restlet.util.Series

`EMPTY_VALUE`

### Constructor Summary

Constructors
Constructor and Description
`CookieSeries()` Constructor.
`CookieSeries(java.util.List<Cookie> delegate)` Constructor.

### Method Summary

Methods
`Cookie` `createEntry(java.lang.String name, java.lang.String value)` Creates a new entry.
`Series<Cookie>` `createSeries(java.util.List<Cookie> delegate)` Creates a new series.

### Methods inherited from class org.restlet.util.Series

`add, copyTo, getFirst, getFirst, getFirstValue, getFirstValue, getFirstValue, getFirstValue, getNames, getValues, getValues, getValuesArray, getValuesArray, getValuesMap, removeAll, removeAll, removeFirst, removeFirst, set, set, subList, subList, subList, unmodifiableSeries`

### Methods inherited from class org.restlet.util.WrapperList

`add, add, addAll, addAll, clear, contains, containsAll, equals, get, getDelegate, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CookieSeries

    public CookieSeries()

Constructor.

#### CookieSeries

    public CookieSeries(java.util.List<Cookie> delegate)

Constructor.

Parameters:
  `delegate` - The delegate list.

### Method Detail

#### createEntry

    public Cookie createEntry(java.lang.String name,
                     java.lang.String value)

Description copied from class: `Series`
Creates a new entry.

Specified by:
  `createEntry` in class `Series<Cookie>`
Parameters:
  `name` - The name of the entry.
  `value` - The value of the entry.
Returns:
  A new entry.

#### createSeries

    public Series<Cookie> createSeries(java.util.List<Cookie> delegate)

Description copied from class: `Series`
Creates a new series.

Specified by:
  `createSeries` in class `Series<Cookie>`
Parameters:
  `delegate` - Optional delegate series.
Returns:
  A new series.